Skip to main content

Get approved sender names

GET https://www.lightsms.com/external/get/senders.php

Retrieve list of approved sender names for your account.

Sender names must be pre-approved before they can be used to send SMS messages. This endpoint returns all your approved sender identities.

Authorization​

This endpoint requires authentication using login, signature, and timestamp parameters.

See the Authentication documentation for more details.

AUTHORIZATION: HTTP

REQUEST

Base URL
https://www.lightsms.com
Query Parameters
loginREQUIRED
Your LightSMS account login
signatureREQUIRED
Request signature for authentication
timestampREQUIRED
UTC timestamp of the request
return
Response format (json or xml)

RESPONSE

Senders retrieved successfully
{
"YourBrand": "completed",
"TestSender": "pending"
}